<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/shipment_list.js");
    loadCSS('css/flags/flags.min.css');
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{ListOfShipments}">Listado de Envios de Productos / Kits</h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        &nbsp;
                        <span th:text="#{state-}">Estado:</span>
                        <select name="status" id="status">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${status == 'created'}" value="created" th:text="#{created}">Created</option>
                            <option th:selected="${status == 'sended'}" value="sended" th:text="#{sended}">Sended</option>
                            <option th:selected="${status == 'transit'}" value="transit" th:text="#{transit}">Transit</option>
                            <option th:selected="${status == 'delivered'}" value="delivered" th:text="#{delivered}">Delivered</option>
                            <option th:selected="${status == 'error'}" value="error" th:text="#{error}">Error</option>
                        </select>
                        &nbsp;
                        <span th:text="#{toShow} + ':'">Mostrar:</span>                        
                        <select name="deleted" id="deleted">
                            <option th:selected="${deleted == null || deleted == 'false'}" value="false" th:text="#{notDeleted}">No eliminados</option>
                            <option th:selected="${deleted == 'true'}" value="true" th:text="#{deleted-}">Eliminados</option>
                            <option th:selected="${deleted == 'all'}" value="all" th:text="#{all}">Todos</option>
                        </select>
                        &nbsp;
                        <span th:text="#{countryName}">País:</span>                  
                        <select name="country" id="country">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:each="c : ${countries}" th:selected="${country == c}" th:value="${c}" th:text="#{${c}}">España</option>    
                        </select>
                        &nbsp;
                        <span th:text="#{numberOfOrder}">Nro de Orden:</span>                  
                        <select name="sort" id="sort">
                            <option th:selected="${sort == null || sort == 'asc'}" value="asc" th:text="#{ascendant}">Ascendente</option>
                            <option th:selected="${sort == 'des'}" value="des" th:text="#{falling}">Descendente</option>
                        </select>

                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>

                        <ul class="nav navbar-right panel_toolbox">
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    <i class="fa fa-gears wings-tool-bar"></i>
                                </a>
                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <a class="action-button" id="generate-shipments"><i class="fa fa-truck"></i>&nbsp;
                                            <!--                                            <span th:text="#{EC}">Generar Envios</span>-->
                                            Generar Envios
                                        </a>
                                        <!--<a class="action-button" id="generate-shipments-store"><i class="fa fa-shopping-cart"></i> Generar Envios Tienda</a>-->
                                        <a class="action-button" id="send-selected"><i class="fa fa-mail-reply"></i>&nbsp;
                                            <!--                                            <span th:text="#{sendSelected}">Enviar Seleccionados</span>-->
                                            Enviar Seleccionados
                                        </a>
                                        <!--<a class="action-button" id="check-ups"><i class="fa fa-truck"></i> Obtener Tracking</a>-->
                                        <a class="action-button" id="check-tracking"><i class="fa fa-map-marker"></i>&nbsp;
                                            <!--                                            <span th:text="#{verifyTracking}">Verificar Tracking</span>-->
                                            Verificar Tracking
                                        </a>
                                        <a class="action-button" id="send-email-ec"><i class="fa fa-mail-forward"></i>&nbsp;
                                            <!--                                            <span th:text="#{sendEmailEC}">Enviar Email Ecuador</span>-->
                                            Enviar Email Ecuador
                                        </a>
                                        <a class="action-button" id="send-email-co"><i class="fa fa-mail-forward"></i>&nbsp;
                                            <!--                                            <span th:text="#{sendEmailCO}">Enviar Email Colombia</span>-->
                                            Enviar Email Colombia
                                        </a>
                                    </li>
                                </ul>
                            </li>
                            </li>
                        </ul>

                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>

                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th><input type="checkbox" class="chk-check-all"/></th>
                                <th>#</th>
                                <th th:text="#{dates}">Fechas</th>
                                <!--<th th:text="#{shipment.creationDate}"></th>
                                <th th:text="#{shipment.sendedDate}"></th>
                                <th th:text="#{shipment.deliveryDate}"></th>-->
                                <th th:text="#{shipment.order}"></th>
                                <!--<th th:text="#{shipment.items}"></th>-->
                                <th th:text="#{shipment.description}"></th>
                                <th th:text="#{shipment.status}"></th>
                                <!--<th th:text="#{shipment.member}"></th>-->
                                <th th:text="#{shipment.recipient}"></th>
                                <th th:text="#{shipment.address}"></th>
                                <th th:text="#{shipment.trackingCode}"></th>
                                <!--<th th:text="#{shipment.activity}"></th>-->
                                <!--<th th:text="#{shipment.confirmed}"></th>
                                <th th:text="#{shipment.deliverable}"></th>
                                <th th:text="#{actions}"></th>-->
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td><input th:id="${item.id}" type="checkbox" name="member-id"></td>
                                <td th:text="${item.id}" th:title="${item.shipmentNumber}"></td>
                                <td>
                                    <small th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="'Creado ' + ${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></small><br/>
                                    <small th:if="${item.sendedDate != null}" th:text="${#dates.format(item.sendedDate, 'dd/MM/yyyy')}" th:title="'Enviado ' + ${#dates.format(item.sendedDate, 'dd/MM/yyyy HH:mm:ss')}"></small><br/>
                                    <small th:if="${item.deliveryDate != null}" th:text="${#dates.format(item.deliveryDate, 'dd/MM/yyyy')}" th:title="'Entregado ' + ${#dates.format(item.deliveryDate, 'dd/MM/yyyy HH:mm:ss')}"></small><br/>
                                </td>
                                <td>
                                    <a th:href="${'/admin#admin/orders/list?q=' + item.email}" target="_blank" th:text="${item.orderId}"></a>
                                </td>
                                <td>
                                    <span th:text="${item.description}" th:title="${item.getItemsText()}"></span>
                                    <sup th:text="${item.items.size()}" ></sup>
                                </td>                                
                                <td>
                                    <span>
                                        <div th:switch="${item.status}" th:title="${item.statusText}">
                                            <span th:case="created" class="label label-info" th:text="#{${item.status}}"></span>
                                            <span th:case="error" class="label label-danger" th:text="#{${item.status}}"></span>
                                            <span th:case="sended" class="label label-primary" th:text="#{${item.status}}"></span>
                                            <span th:case="transit" class="label label-warning" th:text="#{${item.status}}"></span>
                                            <span th:case="delivered" class="label label-success" th:text="#{${item.status}}"></span>
                                        </div>
                                    </span>
                                    <small th:if="${item.status == 'error'}" th:text='${item.statusText}' class="red"></small>
                                    <small th:if="${item.status == 'delivered'}" th:text='${item.statusText}' class="green"></small>
                                    <small th:if="${item.status == 'transit'}" th:text='${item.statusText}' class="warning"></small>
                                </td>
                                <!--<td> 
                                    <a href="#" data-toggle="tooltip" th:title="${item.order.billingName}">
                                        <span th:text="${item.order.billingName}"></span>
                                    </a>
                                </td>-->
                                <td>                                    
                                    <a th:href="${'/admin#admin/members/list?q=' + item.email}" target="_blank" th:text="${item.shippingName}"></a>
                                </td>
                                <td>
                                    <img src="/css/flags/blank.gif" class="flag" th:if="${item.shippingCountry == null && item.shippingCountry == ''}"/>
                                    <img src="/css/flags/blank.gif" class="flag" th:if="${item.shippingCountry != null && item.shippingCountry != ''}" th:classappend="'flag-'+ ${#strings.toLowerCase(item.shippingCountry)}" th:title="#{${#strings.toUpperCase(item.shippingCountry)}}"/>
                                    <a href="#" class="action-button" id="edit-dest" th:attr="data-id=${item.id}" th:text="${item.getAddressTextShort()}" th:title="${item.getAddressText()}"></a>
                                </td>
                                <td>
                                    <span th:text="${item.trackingNumber}" th:title="${item.lastTrackingActivity}"></span>
                                    <i th:if="${item.trackingNumber != null}" class="fa fa-eye action-button" data-toggle="modal" data-target="#viewModal" th:attr="data-url='admin/shipments/tracking/'+${item.id}+'/view'"></i>
                                </td>
                                <!--<td th:text="${item.lastTrackingActivity}"></td>
                                <td class="text-center">
                                    <span th:if="${item.confirmed}" class="label label-success" th:text="#{yes}">Si</span>
                                    <span th:if="${!item.confirmed}" class="label label-danger" th:text="#{no}">No</span>
                                </td>
                                <td class="text-center">
                                    <span th:if="${item.deliverable}" class="label label-success" th:text="#{yes}">Si</span>
                                    <span th:if="${!item.deliverable}" class="label label-danger" th:text="#{no}">No</span>
                                </td>
                                <td>
                                    <span>
                                        <i th:if="${item.confirmed}" class="fa fa-check-square-o action-button" id="mark-confirmed" title="Mark as confirmed/unconfirmed" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>
                                        <i th:if="${!item.confirmed}" class="fa fa-square-o action-button" id="mark-confirmed" title="Mark as confirmed/unconfirmed" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>
                                <i th:if="${!item.deliverable}" class="fa fa-truck action-button red" id="mark-deliverable" title="Mark as deliverable/non deliverable" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>                                        
                                <i th:if="${item.deliverable}" class="fa fa-truck action-button green" id="mark-deliverable" title="Mark as deliverable/non deliverable" th:attr="data-id=${item.id},data-name=${item.toString()}"></i>
                            </span>
                        </td>-->
                            </tr>
                        </tbody>
                    </table>
                </div>


            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>

</div>

<div th:replace="frags/empty-modal"></div>
